## java-gnome 4.1.1

=== debian/changelog ===
java-gnome (4.1.1-4) unstable; urgency=low

  * Team upload.
  * Pull Java7 compatability patch from Fedora.

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 22:41:02 +0200

java-gnome (4.1.1-3) unstable; urgency=low

  * Team upload.
  * Add python to build-dep to address FTBFS. (Closes: #676073)
  * Bump Standards-Version to 3.9.3 (no changes).

 -- tony mancill <tmancill@debian.org>  Mon, 04 Jun 2012 21:14:40 -0700

java-gnome (4.1.1-2) unstable; urgency=low

  * Team upload
  * Upload in unstable to fix the transition to libnotify (Closes: #630285)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2011 16:38:43 +0200

java-gnome (4.1.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_javadoc_workaround.patch
    - Remove useless patch (fixed upstream)
  * debian/patches/03_libnotify_0_7.patch
    - Remove useless patch (fixed upstream)
  * debian/control:
    - Update dependencies list according to the upstream configure file.
    - Fix description-synopsis-starts-with-article
    - Fix needless-dependency-on-jre
    - Bump Standards-Version to 3.9.2

 -- Guillaume Mazoyer <respawneral@gmail.com>  Thu, 28 Jul 2011 21:07:13 +0200

java-gnome (4.0.19-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_javadoc_workaround.patch
    - Fix javadoc generation.
  * debian/patches/03_libnotify_0_7.patch
    - Fix binding compilation with libnotify 0.7.
  * debian/control:
    - Update dependencies list according to the upstream configure file.

 -- Guillaume Mazoyer <respawneral@gmail.com>  Wed, 23 Feb 2011 17:29:16 +0100

java-gnome (4.0.18-1) experimental; urgency=low

  * New upstream release (Closes: #588943).
  * Update copyright.
  * debian/patches/01_take_screenshots.diff
    - Use dbus-launch to start metacity.
  * debian/control
    - Add libglib2.0-dev (>= 2.22) dependency.
    - Add libcairo2-dev (>= 1.10) dependency.
    - Add librsvg2-dev dependency.
    - Add libatk1.0-dev dependency.
    - Bump GTK+ build dependency version as per upstream.
    - Make sure the installed JNI package is always compatible with the package
      which provides the JAR.
    - libjava-gnome-java does not need to depends on a JRE.
    - Bumped Standards-Version to 3.9.1.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Jan 2011 09:44:09 +0100
