=== debian/changelog ===
java-gnome (4.1.2-1build1) saucy; urgency=low

  * No-change rebuild for gtksourceview3 transition

 -- Iain Lane <iain.lane@canonical.com>  Fri, 24 May 2013 15:49:22 +0100

java-gnome (4.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump GTK required version to 3.4.
    - Remove useless quilt dependency.
    - Update descriptions to fix lintian warnings.
  * debian/patches/02_java7_compat.diff
    - Remove no longer needed patch (fixed upstream).
  * debian/patches/02_unique_dependency.diff
    - Add patch to fix the libunique dependency.
  * debian/watch
    - Upstream provides only .xz tarballs.
  * debian/copyright
    - Use new format.
    - Update file copyright.


 -- Guillaume Mazoyer <respawneral@gmail.com>  Thu, 30 Aug 2012 15:51:50 +0200
