=== debian/control ===
--- 
+++ 
@@ -13,14 +13,13 @@
                libcairo2-dev (>= 1.10),
                libenchant-dev,
                libglib2.0-dev (>= 2.28),
-               libgtk-3-dev (>= 3.0),
+               libgtk-3-dev (>= 3.4),
                libgtksourceview-3.0-dev (>= 3.0),
                libnotify-dev (>= 0.7),
                libpango1.0-dev (>= 1.28),
                librsvg2-dev (>= 2.32),
                libunique-3.0-dev (>= 3.0),
                metacity,
-               quilt,
                xfonts-base,
                xvfb,
                python
@@ -45,13 +44,15 @@
  Linux applications so that they richly integrate with the GNOME Desktop
  while leveraging the power of the Java language and your expertise with
  it.
+ .
+ This package contains the necessary JAR file.
 
 Package: libjava-gnome-jni
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libjava-gnome-java (<< 4.0.11)
-Description: Java-gnome language bindings project
+Description: Java-gnome language bindings project JNI layer
  These are the Java bindings for GTK+ and GNOME! Featuring a robust
  engineering design, completely generated internals, a lovingly crafted
  layer presenting the public API, and steadily increasing coverage of
@@ -61,13 +62,15 @@
  Linux applications so that they richly integrate with the GNOME Desktop
  while leveraging the power of the Java language and your expertise with
  it.
+ .
+ This package contains the ncessary JNI layer.
 
 Package: libjava-gnome-java-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libjava-gnome-java
-Description: Java-gnome language bindings project
+Description: Java-gnome language bindings project documentation
  These are the Java bindings for GTK+ and GNOME! Featuring a robust
  engineering design, completely generated internals, a lovingly crafted
  layer presenting the public API, and steadily increasing coverage of
