=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=/usr/lib/jni jdk=/usr/lib/jvm/default-java

ifneq (,$(filter $(DEB_HOST_ARCH), i386 amd64 powerpc))
DEB_MAKE_ENVVARS += DISPLAY=":99"
DEB_MAKE_BUILD_TARGET += doc
endif
ifneq (,$(filter $(DEB_HOST_ARCH), hppa))
DEB_MAKE_ENVVARS += V=1
CFLAGS += -ffunction-sections
endif

get-orig-source:
	uscan --force-download --rename
