=== debian/changelog ===
java-gnome (4.1.3-8ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 15:05:10 +0200

java-gnome (4.1.3-8) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898221)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs
  * Removed the duplicate Section field in debian/control

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 May 2018 16:02:36 +0200

java-gnome (4.1.3-7) unstable; urgency=medium

  * Team upload.
  * No longer generate the -java-doc package (Closes: #875576)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Mar 2018 22:57:42 +0100

java-gnome (4.1.3-6) unstable; urgency=medium

  * Team upload.
  * Skip the verification of the Java runtime (Closes: #851839)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Jan 2017 10:14:14 +0100

java-gnome (4.1.3-5) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS (Closes: #849669)
  * Use dbus-run-session instead of dbus-launch to run metacity
    and depend on dbus (>= 1.8) instead of dbus-x11 (Closes: #836100)
  * Disabled parallel building (Closes: #779344)
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Jan 2017 12:05:43 +0100

java-gnome (4.1.3-4) unstable; urgency=medium

  * Team upload.

  [ Guillaume Mazoyer ]
  * debian/rules
    - Set CFLAGS and LDFLAGS variables according to the Debian standards.
    - Add -ffunction-sections to CFLAGS for hppa.
    - Set V=1 to build in verbose mode so the compiler flags are not hidden.
  * Properly use debhelper 9.

  [ tony mancill ]
  * Add patch for configure script on ppc64el.  (Closes: #767322)
    - Note that patch only enables for binary (-B) builds.
  * Disable GLIB deprecation warnings during test phase by setting
    G_ENABLE_DIAGNOSTIC=0.  This was causing build failures.
    (Closes: #789851)
  * Bump Standards-Version to 3.9.6.

 -- tony mancill <tmancill@debian.org>  Sat, 11 Jul 2015 19:09:25 -0700

java-gnome (4.1.3-3) unstable; urgency=medium

  * Team upload.
  * Use DEB_INDEP_PACKAGES so the -doc and -java packages are not built
    on all archs.  (Closes: #760888)
  * Change section from "libs" to "java" for libjava-gnome-jni to resolve
    override disparity.
  * Migrate the packaging repo from svn to git.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Sep 2014 21:29:03 -0700

java-gnome (4.1.3-2) unstable; urgency=medium

  * Team upload.
  * Rename existing Portuguese transation as Brazilian (pt_BR)
    and replace existing Portuguese translation.  (Closes: #759039)
    - Thank you to Américo Monteiro for the translation.
  * Update Vcs URLs.
  * Refresh patches.

 -- tony mancill <tmancill@debian.org>  Tue, 26 Aug 2014 10:10:30 -0700

java-gnome (4.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Remove libunique dependency.
    - Remove DM-Upload-Allowed field.
    - Add dbus-x11 dependency to take doc screenshots.
    - Update Standards-Version to 3.9.4.
  * debian/README.Maintainer
    - Add instructions for maintainers.
  * debian/libjava-gnome-java.docs
    - Update documentation filenames.
  * debian/libjava-gnome-java-doc.install
    - Fix HACKING file installation.
  * debian/patches/02_unique_dependency.diff
    - Remove no longer needed patch (fixed upstream).
  * debian/patches/02_build_python.diff
    - Add patch to fix build process (python2 env variable not found).
  * debian/patches/03_build_doc_snapshots.diff (Closes: #748565)
    - Add patch to fix build process of the documentation (accessibilty bug).

 -- Guillaume Mazoyer <respawneral@gmail.com>  Mon, 19 May 2014 17:39:50 +0200
