=== debian/control ===
Source: java-gnome
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Manu Mahajan <manu@codepencil.com>,
 Onkar Shinde <onkarshinde@ubuntu.com>,
 Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends:
 dbus (>= 1.8),
 debhelper (>= 11),
 default-jdk,
 hicolor-icon-theme,
 junit,
 libatk1.0-dev,
 libcairo2-dev (>= 1.10),
 libenchant-dev,
 libglib2.0-dev (>= 2.28),
 libgtk-3-dev (>= 3.4),
 libgtksourceview-3.0-dev (>= 3.0),
 libnotify-dev (>= 0.7),
 libpango1.0-dev (>= 1.28),
 librsvg2-dev (>= 2.32),
 metacity,
 python2,
 xfonts-base,
 xvfb
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/java-team/java-gnome.git
Vcs-Browser: https://salsa.debian.org/java-team/java-gnome
Homepage: http://java-gnome.sourceforge.net/

Package: libjava-gnome-java
Architecture: all
Depends: libjava-gnome-jni (>= ${source:Version}),
         ${misc:Depends}
Description: Java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.
 .
 This package contains the necessary JAR file.

Package: libjava-gnome-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libjava-gnome-java (<< 4.0.11)
Description: Java-gnome language bindings project JNI layer
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.
 .
 This package contains the necessary JNI layer.
